      subroutine bessyflux(damping)
      
      include 'params.for'
      external initje

      double precision damping(nInt)
      
      real*4 yvalue
      common/besspec/yvalue
      
      real*4 bessyhole      
      external bessyhole
      
      real*4 pihalf, evalue, syncons, result      
      integer i
      
      pihalf = 1.570796327
      syncons = 0.03351677775621519

*      print *, 'In bessflux, i, yvalue, evalue, normresult, result = ' 

      do 500 i = 1, nInt
      evalue = earray(i)
      yvalue = evalue/bessyEcrit
      yenergy(i) = yvalue
*      print *, i, yvalue, evalue
      call qsimp(bessyhole,0.,pihalf,result)
     
      damping(i) = bessyfluxnorm*evalue*result
*      print *, i, yvalue, evalue, syncons*yvalue*result, damping(i)
  500 continue      

      return
      end
      
      real*4 function bessyhole(alpha)

      include 'params.for'
      external initje

      real*4 alpha
      real*4 yvalue
      common/besspec/yvalue

      real*4 shalf, third, sone, onehalf, pi
      parameter (shalf = 0.5, third = 1./3., sone = 1.)
      parameter (onehalf = 1.5, pi = 3.141592654)
      
      real*4 gamcosangle, angpart, dummy1, xsi, ri, rip, py, py2
      real*4 koneth, konethp, ktwoth

      py = boostsind*sin(alpha)            
      py2 = py*py
      gamcosangle = sqrt(abs(boostsind2 - py2))
      angpart = atan(gamcosangle/boostcosd)
*      print *, 'In bessyhole, gamsind, gamcosd, angpart = '
*      print *, gamsind, gamcosd, angpart

      dummy1 = sone + py2
      xsi = yvalue*shalf*dummy1**onehalf
      call bessik(xsi, third, ri, koneth, rip, konethp)
*      print *, 'xsi, ri, rip, koneth, konethp = '
*      print *, xsi, ri, rip, koneth, konethp
      ktwoth = -konethp - third*koneth/xsi
      bessyhole = gamcosangle*angpart*dummy1*(dummy1*ktwoth*ktwoth + 
     1            py2*koneth)
*      print *, 'yenergy, py2, dummy1, ktwoth, integrand = '
*      print *, yenergy, py2, dummy1, ktwoth, integrand

      return
      end            
